<?php
/**
 * Plugin Name:       Service Quoter
 * Description:       An interactive block with the Interactivity API
 * Version:           0.1.0
 * Requires at least: 6.1
 * Requires PHP:      7.0
 * Author:            sammyboy86
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       service-quoter-4
 *
 * @package           kryztal-block-2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Registers the block using the metadata loaded from the `block.json` file.
 * Behind the scenes, it registers also all assets so they can be enqueued
 * through the block editor in the corresponding context.
 *
 * @see https://developer.wordpress.org/reference/functions/register_block_type/
 */
function kryztal_block_service_quoter_block_init() {
	register_block_type_from_metadata( __DIR__ . '/build' );
}
add_action( 'init', 'kryztal_block_service_quoter_block_init' );




function kryztal_service_quoter_enqueue_block_assets() {
	// Define the path for the view.js relative to the WordPress root.
	$view_js_path = plugins_url( 'build/view.js', __FILE__ );

	// Enqueue the view.js script.
	wp_enqueue_script(
			'kryztal-service-quoter-view-js',   // Handle for the script.
			$view_js_path,        // URL to the script.
			array(),              // Dependencies, none for this example.
			filemtime( plugin_dir_path( __FILE__ ) . 'build/view.js' ),  // Version: File modification time for cache busting.
			true                  // In footer.
	);
}

// Hook the enqueue function into the wp_enqueue_scripts action.
add_action( 'wp_enqueue_scripts', 'kryztal_service_quoter_enqueue_block_assets' );
